# Note that this is NOT a relocatable package
%define name    redland
%define version 0.9.12
%define release SNAP
%define prefix  /usr

%define perlinstallsitearch /usr/lib/perl5/site_perl/5.6.1/i386-linux
%define perlman3dir /usr/share/man/man3

Summary:   Redland RDF Application Framework
Name:      %{name}
Version:   %{version}
Release:   %{release}
Prefix:    %{_prefix}
Copyright: LGPL/MPL
Group:     Development/Libraries
Source:    http://www.redland.opensource.ac.uk/dist/source/%{name}-%{version}.tar.gz
URL:       http://www.redland.opensource.ac.uk/
BuildRoot: /tmp/%{name}-%{version}
BuildRequires: libxml2 libxml2-devel raptor raptor-devel
Packager:  Dave Beckett <Dave.Beckett@bristol.ac.uk>
Docdir: %{prefix}/doc
Requires:  raptor > 0.9.7

%description

Redland is a library that provides a high-level interface for RDF
(Resource Description Framework) implemented in an object-based API.
It is modular and supports different RDF/XML parsers, storage
mechanisms and other elements. Redland is designed for applications
developers to provide RDF support in their applications as well as
for RDF developers to experiment with the technology.

%package devel
Summary: Libraries and header files for programs that use Redland.
Group: Development/Libraries
Requires: redland
Requires: raptor > 0.9.7

%description devel
Header files for development with Redland

%package perl
Summary: Perl modules for the Redland RDF system
Group: Development/Libraries
Requires: redland

%description perl
The redland-perl package contains the parts of Redland that provide
an interface to Perl.

%prep
%setup

%build
# Force use of default python even if 2.0 is present
PYTHON=python
export PYTHON

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix} --enable-release --sysconfdir=/etc --mandir=%{_mandir} --libdir=%{_libdir}
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --enable-release --sysconfdir=/etc --mandir=%{_mandir} --libdir=%{_libdir}
fi

if [ "$SMP" != "" ]; then
  make -k -j$SMP "MAKE=make -k -j $SMP"
else
  make
fi


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc libdir=$RPM_BUILD_ROOT%{_libdir} mandir=$RPM_BUILD_ROOT%{_mandir} install

# Fix it so -L.. -llibrdf works from perl, python, ... subdirs
# Must find a way to do this better
ln -s .libs/librdf.a librdf.a

cd perl

make prefix=$RPM_BUILD_ROOT%{prefix} install-perl

cd ..

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0555, bin, bin)
%{prefix}/bin/redland-config
%{prefix}/bin/redland-db-upgrade
%{prefix}/lib/librdf.a
%{prefix}/lib/librdf.so.*

%defattr (0444, bin, bin, 0555)
%{prefix}/lib/librdf.la
%{prefix}/lib/librdf.so

%doc AUTHORS COPYING COPYING.LIB ChangeLog
%doc README NEWS LICENSE.txt
%doc *.html

%doc %{_mandir}/man3/redland.3*

%files devel
%defattr(-, root, root)

%{prefix}/include/redland.h
%{prefix}/include/librdf.h 
%{prefix}/include/rdf_*.h
%doc docs/README.html
%doc docs/java.html docs/perl.html docs/php.html
%doc docs/python.html docs/ruby.html docs/tcl.html
%doc docs/api

%files perl
%defattr(-, bin, bin)

%{perlinstallsitearch}/auto/RDF/Redland
%{perlinstallsitearch}/RDF/Redland
%{perlinstallsitearch}/RDF/Redland.pm

%doc %{perlman3dir}/RDF::Redland*.3pm*

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Fri Feb 12 2003 Dave Beckett <dave.beckett@bristol.ac.uk>
- Updated for redland 0.9.12

* Fri Jan 4 2002 Dave Beckett <dave.beckett@bristol.ac.uk>
- Updated for new Perl module names

* Fri Sep 14 2001 Dave Beckett <dave.beckett@bristol.ac.uk>
- Added shared libraries
