TEST_BEGIN( about_01, "about-01.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( about_02, "about-02.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( about_03, "about-03.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:about-03.rdf#foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( about_04, "about-04.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:about-04.rdf",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( ID_01, "ID-01.rdf" )

	TEST_WARNING

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:ID-01.rdf#_bad_ID_attribute_",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( ID_02, "ID-02.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:ID-02.rdf#foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( ID_03, "ID-03.rdf" )

	TEST_WARNING

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:ID-03.rdf#_bad_ID_attribute_",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( ID_04, "ID-04.rdf" )

	TEST_WARNING

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:ID-04.rdf#_bad_ID_attribute_",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( container_01, "container-01.rdf" )

	TEST_STATEMENT( 
		RDF_SUBJECT_TYPE_URI, 
		"http://foo", 
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_1",
		1,
		RDF_OBJECT_TYPE_LITERAL,
		"one",
		NULL )
	TEST_STATEMENT( 
		RDF_SUBJECT_TYPE_URI, 
		"http://foo", 
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_2",
		2,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://two",
		NULL )
	TEST_STATEMENT( 
		RDF_SUBJECT_TYPE_URI, 
		"http://foo", 
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_3",
		3,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://three",
		NULL )

TEST_END

TEST_BEGIN( container_02, "container-02.rdf" )

	TEST_STATEMENT( 
		RDF_SUBJECT_TYPE_URI, 
		"http://foo", 
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_1",
		1,
		RDF_OBJECT_TYPE_LITERAL,
		"one",
		NULL )
	TEST_STATEMENT( 
		RDF_SUBJECT_TYPE_URI, 
		"http://foo", 
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_10",
		10,
		RDF_OBJECT_TYPE_LITERAL,
		"ten",
		NULL )
	TEST_STATEMENT( 
		RDF_SUBJECT_TYPE_URI, 
		"http://foo", 
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_11",
		11,
		RDF_OBJECT_TYPE_LITERAL,
		"eleven",
		NULL )

TEST_END

TEST_BEGIN( container_03, "container-03.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_1",
		1,
		RDF_OBJECT_TYPE_LITERAL,
		"one",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_1",
		1,
		RDF_OBJECT_TYPE_LITERAL,
		"one again",
		NULL )

TEST_END

TEST_BEGIN( container_04, "container-04.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#type",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#Bag",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_1",
		1,
		RDF_OBJECT_TYPE_LITERAL,
		"1",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://bar",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#type",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#Seq",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://bar",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://bar",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_1",
		1,
		RDF_OBJECT_TYPE_LITERAL,
		"1",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://bar",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_2",
		2,
		RDF_OBJECT_TYPE_LITERAL,
		"2",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_2",
		2,
		RDF_OBJECT_TYPE_LITERAL,
		"2",
		NULL )

TEST_END

TEST_BEGIN( attributes_01, "attributes-01.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( attributes_02, "attributes-02.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:attributes-02.rdf#foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( attributes_03, "attributes-03.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_ANONYMOUS,
		"file:attributes-03.rdf#genid1",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( statement_ID_01, "statement-ID-01.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:statement-ID-01.rdf#statement",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#type",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#Statement",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:statement-ID-01.rdf#statement",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#subject",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://foo",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:statement-ID-01.rdf#statement",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#predicate",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://test/bar",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:statement-ID-01.rdf#statement",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#object",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( anonymous_01, "anonymous-01.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_ANONYMOUS,
		"file:anonymous-01.rdf#genid1",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END

TEST_BEGIN( anonymous_02, "anonymous-02.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"file:anonymous-02.rdf#genid1",
		NULL )

TEST_END

TEST_BEGIN( anonymous_03, "anonymous-03.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"file:anonymous-03.rdf#genid1",
		NULL )

TEST_END

TEST_BEGIN( anonymous_04, "anonymous-04.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"file:anonymous-04.rdf#genid1",
		NULL )

TEST_END

TEST_BEGIN( anonymous_05, "anonymous-05.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"file:anonymous-05.rdf#genid1",
		NULL )

TEST_END

TEST_BEGIN( anonymous_06, "anonymous-06.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"file:anonymous-06.rdf#genid1",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_ANONYMOUS,
		"file:anonymous-06.rdf#genid1",
		"http://test/baz",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"quux",
		NULL )

TEST_END

TEST_BEGIN( resource_01, "resource-01.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://baz",
		NULL )

TEST_END

TEST_BEGIN( resource_02, "resource-02.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"file:baz",
		NULL )

TEST_END

TEST_BEGIN( resource_03, "resource-03.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"file:resource-03.rdf#baz",
		NULL )

TEST_END

TEST_BEGIN( resource_04, "resource-04.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"file:resource-04.rdf",
		NULL )

TEST_END

TEST_BEGIN( bagID_01, "bagID-01.rdf" )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"http://foo",
		"http://test/bar",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:bagID-01.rdf#bag",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#type",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#Bag",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_URI,
		"file:bagID-01.rdf#bag",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#_1",
		1,
		RDF_OBJECT_TYPE_RESOURCE,
		"file:bagID-01.rdf#genid1",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_ANONYMOUS,
		"file:bagID-01.rdf#genid1",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#type",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#Statement",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_ANONYMOUS,
		"file:bagID-01.rdf#genid1",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#subject",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://foo",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_ANONYMOUS,
		"file:bagID-01.rdf#genid1",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#predicate",
		0,
		RDF_OBJECT_TYPE_RESOURCE,
		"http://test/bar",
		NULL )

	TEST_STATEMENT(
		RDF_SUBJECT_TYPE_ANONYMOUS,
		"file:bagID-01.rdf#genid1",
		"http://www.w3.org/1999/02/22-rdf-syntax-ns#object",
		0,
		RDF_OBJECT_TYPE_LITERAL,
		"baz",
		NULL )

TEST_END
